Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::Responder Class Reference

Interface implements sending on and disconnecting a transport. More...

`#include <Responder.h>`

Inheritance diagram for FIX::Responder:
[legend]

List of all members.

## Public Member Functions

virtual | ~Responder ()
virtual bool | send (const std::string &)=0
virtual void | disconnect ()=0

## Detailed Description

Interface implements sending on and disconnecting a transport.

Definition at line 34 of file Responder.h.

## Constructor & Destructor Documentation

virtual FIX::Responder::~Responder | ( |  | ) | `[inline, virtual]`

Definition at line 37 of file Responder.h.

    00037 {}

## Member Function Documentation

virtual void FIX::Responder::disconnect | ( |  | ) | `[pure virtual]`

Implemented in FIX::SocketConnection, and FIX::ThreadedSocketConnection.

Referenced by FIX::Session::disconnect().

virtual bool FIX::Responder::send | ( | const std::string & |  | ) | `[pure virtual]`

Implemented in FIX::SocketConnection, and FIX::ThreadedSocketConnection.

Referenced by FIX::Session::send().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Responder.h